curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"value": "<p>Contract text</p>"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
Contract
Create contract
Create a new contract using contract value.
POST
/
api
/
contract
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"value": "<p>Contract text</p>"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
Body parameters
Show child attribute
Show child attribute
Action type.
Key of the client.
ID of the user who create the contract. If not specified, the default user credentials will be used.
Response
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"value": "<p>Contract text</p>"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
⌘I